pro hw3

;readcol,'hwdata.dat',ra,dec,u,g,r,i,z,ug,gr,gi
restore,'hwdata.sav'


index=where(gr gt 0.20 and gr lt 0.40)

ri=r[index]
gri=gr[index]
ugi=ug[index]
gii=gi[index]
fe=-13.13 + 14.09*ugi + 28.04*gri - 5.51*ugi*gri - 5.9*(ugi^2.) - 58.68*(gri^2.) +9.14*(ugi^2.)*(gri) -20.61*(ugi)*(gri^2.) +58.2*(gri^3.)


delm=4.50-1.11*fe-0.18*((fe)^2.)

mro=-5.06 + 14.32*gii-12.97*(gii^2.)+6.127*(gii^3.)-1.267*(gii^4.)+0.0967*(gii^5.)

m=mro+delm

D=10.*10.^((ri-m)/5.)

openw,3,'q1.dat'
for i = 1, 39 do begin
di=(i*500.)
dil=(i+1.)*500.
indexd = where(D le dil and D ge di,countsd)
vol=(di^2.)/(4*100*!dpi^2./40000.)
printf,3,dil,countsd,vol
endfor
close,3
set_plot,'ps'
device,/portrait,filename='densitya.eps',/color,/bold,set_font='Times',/tt_font,/encapsulated
readcol,'q1.dat',dd,ndd,vold
plot,dd,alog(ndd/vold),psym=4,linestyle=0,xtit='Scale Height (Z)',ytit='Stellar Density'
oplot,dd,alog(ndd/vold),psym=4,linestyle=0,color=252

device,/close

indexlowm=where(fe lt -1.0)
Dlowm=D[indexlowm]
ndlowm = N_elements(dlowm)
print,'Counts Low Metallicity:',ndlowm

indexhighm=where(fe gt -1.0)
Dhighm=D[indexhighm]
ndhighm = N_elements(dhighm)
print,'Counts High Metallicity:',ndhighm

openw,1,'lowmetallicity.dat'
for i = 1, 39 do begin
di=(i*500.)
dil=(i+1.)*500.
indexlm = where(Dlowm le dil and Dlowm ge di,countslm)
vollm=(di^2.)/(4*100*!dpi^2./40000.)
printf,1,dil,countslm,vollm
endfor
close,1


openw,2,'highmetallicity.dat'
for i = 1, 39 do begin
di=(i*500.)
dil=(i+1.)*500.
indexhm = where(Dhighm le dil and Dhighm ge di,countshm)
volhm=(di^2.)/(4*100*!dpi^2./40000.)
printf,2,dil,countshm,volhm
endfor
close,2

;vol=4./3.*!dpi*(500.^3.)
set_plot,'ps'
device,/portrait,filename='densitymetalb.eps',/color,/bold,set_font='Times',/tt_font,/encapsulated
readcol,'highmetallicity.dat',dilh,countshm,volhm
readcol,'lowmetallicity.dat',dill,countslm,vollm
plot,dilh,alog(countshm/volhm),xtit='Scale Height (Z)',ytit='Stellar Density',psym=4;,yrange=[-15,-11.5]
oplot,dilh,alog(countshm/volhm),color=250,psym=4
oplot,dilh,alog(countslm/vollm),color=80,psym=4
legend,['High Metallicity','Low Metallicity'],textcolors=[250,80],/bottom
device,/close



index=where(gr gt 0.4 and gr lt 0.6)
r6=r[index]
gr6=gr[index]
ug6=ug[index]
gi6=gi[index]
fe6=-13.13 + 14.09*ug6 + 28.04*gr6 - 5.51*ug6*gr6 - 5.9*(ug6^2.) - 58.68*(gr6^2.) +9.14*(ug6^2.)*(gr6) -20.61*(ug6)*(gr6^2.) +58.2*(gr6^3.)
delm6=4.50-1.11*fe6-0.18*((fe6)^2.)
mr6=-5.06 + 14.32*gi6-12.97*(gi6^2.)+6.127*(gi6^3.)-1.267*(gi6^4.)+0.0967*(gi6^5.)
m6=mr6+delm6
D6=10.*10.^((r6-m6)/5.)

openw,4,'gr46.dat'
for i = 1, 39 do begin
di=(i*500.)
dil=(i+1.)*500.
indexd = where(D6 le dil and D6 ge di,counts6)
vol6=(di^2.)/(4*100*!dpi^2./40000.)
printf,4,dil,counts6,vol6
endfor
close,4

index8=where(gr gt 0.6 and gr lt 0.8)
r8=r[index8]
gr8=gr[index8]
ug8=ug[index8]
gi8=gi[index8]
fe8=-0.6
delm8=4.50-1.11*fe8-0.18*((fe8)^2.)
mr8=-5.06 + 14.32*gi8-12.97*(gi8^2.)+6.127*(gi8^3.)-1.267*(gi8^4.)+0.0967*(gi8^5.)
m8=mr8+delm8
distance=10.*10.^((r8-m8)/5.)

openw,5,'gr68.dat'
for i = 1, 39 do begin
di8=(i*500.)
dil8=(i+1.)*(500.)
indexblah = where(distance le dil8 and distance ge di8,count8)
vol8=(di8^2.)/(4*100*!dpi^2./40000.)
printf,5,dil8,count8,vol8
endfor
close,5

 index=where(gr gt 0.8 and gr lt 1.0)
 r1=r[index]
 gr1=gr[index]
 ug1=ug[index]
 gi1=gi[index]
 fe1=-0.6
 delm1=4.50-1.11*fe1-0.18*((fe1)^2.)
 mr1=-5.06 + 14.32*gi1-12.97*(gi1^2.)+6.127*(gi1^3.)-1.267*(gi1^4.)+0.0967*(gi1^5.)
 m1=mr1+delm1
 D1=10.*10.^((r1-m1)/5.)

 openw,6,'gr81.dat'
 for i = 1, 39 do begin
 di1=(i*500.)
 dil1=(i+1.)*500.
 indexd1 = where(D1 le dil1 and D1 ge di1,count1)
vol1=(di1^2.)/(4*100*!dpi^2./40000.)
 printf,6,dil1,count1,vol1
 endfor
 close,6

openw,7,'gr24rmag.dat'

rlowm=ri[indexlowm]
rhighm=ri[indexhighm]
for i = 0, 69 do begin
smallindex=14.+(i*0.1)
bigindex=14.+((i+1)*0.1)
rlm= where(rlowm ge smallindex and rlowm le bigindex ,countslm)
rhm= where(rhighm ge smallindex and rhighm le bigindex,countshm)
printf,7,bigindex,countslm,countshm
endfor
close,7


set_plot,'ps'
device,/portrait,filename='rmag.eps',/color,/bold,set_font='Times',/tt_font,/encapsulated
readcol,'gr24rmag.dat',index,countslm,countshm
plot,index,alog10(countshm),psym=4,xrange=[13.7,21.2],xstyle=1,xtit='r',ytit='logN',yrange=[1,3.5],ystyle=1
oplot,index,alog10(countshm),psym=4,color=250
oplot,index,alog10(countslm),psym=4,color=80
legend,['High Metallicity Sample','Low Metallicity Sample'],textcolors=[250,80],colors=[250,80]
device,/close


end
