pro hw2
set_plot,'ps'
device,/portrait,filename='densityall.eps',/color,/bold,set_font='Times',/tt_font,/encapsulated
readcol,'q1.dat',dd,ndd,vol4
readcol,'gr46.dat',z46,n46,vol6
readcol,'gr68.dat',z68,n68,vol8
readcol,'gr81.dat',z81,n81,vol1

;vol=20000.^2./(4.*!dpi^2.*100./40000.)
plot,dd,alog(ndd/vol4),psym=4,linestyle=0,xtit='Scale Height (Z)',ytit='Stellar Density',yrange=[-15,-5.5],xrange=[0,15000],ystyle=1
oplot,dd,alog(ndd/vol4),psym=4,linestyle=0,color=252
oplot,z46,alog(n46/vol6),color=220,psym=7
oplot,z68,alog(n68/vol8),color=150,psym=6
oplot,z81,alog(n81/vol1),color=80,psym=5
legend,['G-R 0.2-0.4','G-R 0.4-0.6','G-R 0.6-0.8','G-R 0.8-1'],textcolors=[252,220,150,80],psym=[4,7,6,5],/bottom,colors=[252,220,150,80]
device,/close


end 
